Package org.apache.xmlbeans.impl.soap

## Interface Detail

- All Superinterfaces:
    `Element`, `Node`, `Node`, `SOAPElement`, `SOAPFaultElement`

      public interface Detail
      extends SOAPFaultElement

  A container for `DetailEntry` objects. `DetailEntry` objects give detailed error information that is application-specific and related to the `SOAPBody` object that contains it.

  A `Detail` object, which is part of a `SOAPFault` object, can be retrieved using the method `SOAPFault.getDetail`. The `Detail` interface provides two methods. One creates a new `DetailEntry` object and also automatically adds it to the `Detail` object. The second method gets a list of the `DetailEntry` objects contained in a `Detail` object.

  The following code fragment, in which sf is a `SOAPFault` object, gets its `Detail` object (d), adds a new `DetailEntry` object to d, and then gets a list of all the `DetailEntry` objects in d. The code also creates a `Name` object to pass to the method `addDetailEntry`. The variable se, used to create the `Name` object, is a `SOAPEnvelope` object.

          Detail d = sf.getDetail();
          Name name = se.createName("GetLastTradePrice", "WOMBAT",
                                      "http://www.wombat.org/trader");
          d.addDetailEntry(name);
          Iterator it = d.getDetailEntries();

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DetailEntry` | `addDetailEntry​(Name name)` | Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.
    `Iterator<DetailEntry>` | `getDetailEntries()` | Gets a list of the detail entries in this `Detail` object.

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.soap.Node

      `detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.soap.SOAPElement

      `addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

- - ### Method Detail

    - #### addDetailEntry

          DetailEntry addDetailEntry​(Name name)
                              throws SOAPException

      Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.
      Parameters:
        `name` - a `Name` object identifying the new `DetailEntry` object
      Returns:
        DetailEntry.
      Throws:
        `SOAPException` - thrown when there is a problem in adding a DetailEntry object to this Detail object.

    - #### getDetailEntries

          Iterator<DetailEntry> getDetailEntries()

      Gets a list of the detail entries in this `Detail` object.
      Returns:
        an `Iterator` object over the `DetailEntry` objects in this `Detail` object